Subject: [PATCH] pwm: atmel-hlcdc: add errata handling for sama5d4

From: [email-masked] (Thierry Reding)
Date: Wed, 11 Mar 2015 12:00:56 +0100

On Fri, Feb 20, 2015 at 05:26:34PM +0100, Nicolas Ferre wrote:
> Le 20/02/2015 17:06, Boris Brezillon a ?crit :
> > Hi Nicolas,
> > 
> > On Fri, 20 Feb 2015 16:58:18 +0100
> > Nicolas Ferre <[email-masked]> wrote:
> > 
> >> sama5d4 SoC also has an errata on the HLCDC PWM. It is the same as the sama5d3
> >> that is forbidding the use of div1 prescaler.
> >>
> >> Signed-off-by: Nicolas Ferre <[email-masked]>
> > 
> > The "atmel,sama5d4-hlcdc" compatible string is not yet documented in
> > the atmel-hlcdc MFD driver binding, but this shouldn't hurt, so
> 
> Yes, I'll document it when I'm submitting your patches that add the
> compatibility strings to the drivers/mfd/atmel-hlcdc.c. (with
> atmel,at91sam9x5-hlcdc as well).
> 
> > Acked-by: Boris Brezillon <[email-masked]>

I'll take your word on it that this will be documented, so I've applied
this.

Thanks,
Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20150311/e60785fe/attachment.sig>